Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in webcit
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in webcit
ID: DSA-1752-1
Distribution: Debian
Plattformen: Debian lenny, Debian sid
Datum: Mo, 23. März 2009, 19:22
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0364
Applikationen: WebCit

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- ------------------------------------------------------------------------
Debian Security Advisory DSA-1752-1 security@debian.org
http://www.debian.org/security/ Florian Weimer
March 23, 2009 http://www.debian.org/security/faq
- ------------------------------------------------------------------------

Package : webcit
Vulnerability : format string vulnerability
Problem type : remote
Debian-specific: no
CVE Id(s) : CVE-2009-0364

Wilfried Goesgens discovered that WebCit, the web-based user interface
for the Citadel groupware system, contains a format string
vulnerability in the mini_calendar component, possibly allowing
arbitrary code execution (CVE-2009-0364).

For the stable distribution (lenny), this problem has been fixed in
version 7.37-dfsg-7.

For the unstable distribution (sid), this problem has been fixed in
version 7.38b-dfsg-2.

We recommend that you upgrade your webcit packages.

Upgrade instructions
- --------------------

wget url
will fetch the file for you
dpkg -i file.deb
will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
will update the internal database
apt-get upgrade
will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 5.0 alias lenny
- --------------------------------

Source archives:

webcit_7.37-dfsg.orig.tar.gz
Size/MD5 checksum: 1192317 e3e47149a6553e43694e826f4885ba46
webcit_7.37-dfsg-7.diff.gz
Size/MD5 checksum: 18735 f30f31bff85ef9cc40aba5bf5f3c1278
http://security.debian.org/pool/updates/main/w/webcit/webcit_7.37-dfsg-7.dsc
Size/MD5 checksum: 1253 f2b409fdfbde0c38af85070180a4321f

alpha architecture (DEC Alpha)

citadel-webcit_7.37-dfsg-7_alpha.deb
Size/MD5 checksum: 547908 84e6dfa88008d2c51070803d0af04148

amd64 architecture (AMD x86_64 (AMD64))

citadel-webcit_7.37-dfsg-7_amd64.deb
Size/MD5 checksum: 509426 4e9e9b518be1a1e87cd08d0def32f612

arm architecture (ARM)

citadel-webcit_7.37-dfsg-7_arm.deb
Size/MD5 checksum: 505092 a3027a329b7a17166eddafe66eff5fde

armel architecture (ARM EABI)

citadel-webcit_7.37-dfsg-7_armel.deb
Size/MD5 checksum: 504990 d6df9145a39f0be111667d14528a0a52

hppa architecture (HP PA RISC)

citadel-webcit_7.37-dfsg-7_hppa.deb
Size/MD5 checksum: 527860 f46e26bac6a926b6b7a28f9f7557077b

i386 architecture (Intel ia32)

citadel-webcit_7.37-dfsg-7_i386.deb
Size/MD5 checksum: 496954 43aac6120f334b606edddd9f9a182b44

ia64 architecture (Intel ia64)

citadel-webcit_7.37-dfsg-7_ia64.deb
Size/MD5 checksum: 605578 2231aac4aaa8ef730485ea8d40c5019b

mips architecture (MIPS (Big Endian))

citadel-webcit_7.37-dfsg-7_mips.deb
Size/MD5 checksum: 512552 cc2904da25b4ec9e70d56b63d50e57aa

mipsel architecture (MIPS (Little Endian))

citadel-webcit_7.37-dfsg-7_mipsel.deb
Size/MD5 checksum: 511294 e0e4de0530cb84f0472765fb2bd6b62f

powerpc architecture (PowerPC)

citadel-webcit_7.37-dfsg-7_powerpc.deb
Size/MD5 checksum: 522134 a8b1970f336c836884eddb62c614f436

s390 architecture (IBM S/390)

citadel-webcit_7.37-dfsg-7_s390.deb
Size/MD5 checksum: 505406 621a33e619037bd739bf45451ef589eb

sparc architecture (Sun SPARC/UltraSPARC)

citadel-webcit_7.37-dfsg-7_sparc.deb
Size/MD5 checksum: 507950 1d22cf3b4f1faf910d031acb6504bfae


These files will probably be moved into the stable distribution on
its next update.

-
---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-securitydists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBAgAGBQJJx9GWAAoJEL97/wQC1SS+B5IH/0VU0lwZRnboSO0h+2UErLAR
inTlMrxrLx3csJqWsmdhur/qKTH5pmQMSFHc8SylhEQS8z8aVh/nA4PsbdJElPnc
8s+0P+jgphlEbdHo4G15vTDsoKPDwqHsh2v8vwnxBNEkOak0sUOfcnqoDn8Pc9VH
m7jOqiTa5FINCU441in0O1jAhCsyPw3pArnB1FZjTVgHS9O/BjbUXpf56esthigE
sk94wpImCGPQRul07oOR04VliagXaI+QbkZ2la3igOjO21IRuOtDHGNrL/+zlxMn
ViCTPOoGEJ6APe+/hthoERvYpS9F0Xg8yw6XnPwh1LVXT6oYRlk7bTqeKUM3jww=
=wwV7
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-security-announce-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung